For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • GETGet Offers By User
      • GETGet Locations By User
Get supportSee a Demo
API ReferenceRewards

Get Offers By User

GET
/v2/issuers/:organizationId/users/:userId/offers
GET
/v2/issuers/:organizationId/users/:userId/offers
$curl -G https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/offers \
> -H "Authorization: Bearer <token>" \
> -d "page[size]=1" \
> -d "filter[isTargeted]=true" \
> -d sort=-startDate
1{
2 "data": [
3 {
4 "type": "standardOffer",
5 "attributes": {
6 "assets": [
7 {
8 "type": "IMG_VIEW",
9 "url": "http://attribution.getkard.com/logos/breakfastbunny_logo.png?subtype=IMG_VIEW&offerId=629fc220b7a4290009a188ec&token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyZWZlcnJpbmdQYXJ0bmVyVXNlcklkIjoiNDM4MTAzIiwiaXNzdWVySWQiOiIwMDAwNDMyMSIsInR5cGUiOiJPRkZFUiIsInBheWxvYWQiOnsiand0VGltZXN0YW1wIjoiMjAyNi0wNC0yMyJ9fQ.4f9QmoGpgXVIXu9Tq8XFVcx7Rz0jptsYNYpmaIBszyc&state=eyJyYW5rIjoxLCJmaWx0ZXJzIjpbXX0%3D",
10 "alt": ""
11 },
12 {
13 "type": "BANNER_VIEW",
14 "url": "https://attribution.getkard.com/public/banners/breakfast-bunny-banner.jpg?subtype=BANNER_VIEW&offerId=629fc220b7a4290009a188ec&token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyZWZlcnJpbmdQYXJ0bmVyVXNlcklkIjoiNDM4MTAzIiwiaXNzdWVySWQiOiIwMDAwNDMyMSIsInR5cGUiOiJPRkZFUiIsInBheWxvYWQiOnsiand0VGltZXN0YW1wIjoiMjAyNi0wNC0yMyJ9fQ.4f9QmoGpgXVIXu9Tq8XFVcx7Rz0jptsYNYpmaIBszyc&state=eyJyYW5rIjoxLCJmaWx0ZXJzIjpbXX0%3D",
15 "alt": ""
16 }
17 ],
18 "expirationDate": "2025-03-17T05:00:00Z",
19 "isTargeted": true,
20 "name": "Worlds Greatest Chicken",
21 "purchaseChannel": [
22 "INSTORE"
23 ],
24 "startDate": "2024-11-17T05:00:00Z",
25 "terms": "Worlds Greatest Chicken offers are only available within US Locations.",
26 "userReward": {
27 "type": "PERCENT",
28 "value": 5.7
29 },
30 "description": "Worlds Greatest Chicken brings you the tastiest crispy, double fried spicy chicken in the world.",
31 "maxRedemptions": 1,
32 "maxRewardAmount": {
33 "type": "CENTS",
34 "value": 2000
35 },
36 "maxTransactionAmount": {
37 "type": "CENTS",
38 "value": 10000
39 },
40 "minRewardAmount": {
41 "type": "CENTS",
42 "value": 500
43 },
44 "minTransactionAmount": {
45 "type": "CENTS",
46 "value": 500
47 },
48 "websiteUrl": "http://worldsgreatestchickent.test.com"
49 },
50 "id": "5e27318c9b346f00087fbb5c",
51 "relationships": {
52 "category": {
53 "data": [
54 {
55 "type": "category",
56 "id": "65920081b524d126068de24a"
57 },
58 {
59 "type": "category",
60 "id": "65920081b524d126068de24c"
61 }
62 ]
63 }
64 }
65 }
66 ],
67 "links": {
68 "self": "/v2/issuers/{organizationId}/users/{userId}/offers?page[size]=1?sort=-startDate",
69 "prev": null,
70 "next": "/v2/issuers/{organizationId}/users/{userId}/offers?page[after]=NDMyNzQyODI3OTQw&page[size]=1?&sort=-startDate"
71 },
72 "included": [
73 {
74 "type": "category",
75 "id": "65920081b524d126068de24a",
76 "attributes": {
77 "name": "Food & Beverage"
78 }
79 },
80 {
81 "type": "category",
82 "id": "65920081b524d126068de24c",
83 "attributes": {
84 "name": "Department Stores"
85 }
86 }
87 ],
88 "meta": {
89 "availableCategories": [
90 {
91 "attributes": {
92 "name": "Food & Beverage"
93 },
94 "id": "65920081b524d126068de24a",
95 "type": "category"
96 },
97 {
98 "attributes": {
99 "name": "Department Stores"
100 },
101 "id": "65920081b524d126068de24c",
102 "type": "category"
103 }
104 ]
105 }
106}
Retrieve national brand offers that a specified user is eligible for. Call this endpoint to build out your [targeted offers UX experience](/2024-10-01/api/getting-started#b-discover-a-lapsed-customer-clo). Local offers details can be found by calling the [Get Eligible Locations](/2024-10-01/api/rewards/locations).<br/> <b>Required scopes:</b> `rewards:read`
Was this page helpful?
Previous

Get Locations By User

Next
Built with

Retrieve national brand offers that a specified user is eligible for. Call this endpoint to build out your targeted offers UX experience. Local offers details can be found by calling the Get Eligible Locations.
Required scopes: rewards:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Query parameters

page[size]integerOptional
page[after]stringOptional
page[before]stringOptional
filter[search]stringOptional

Case-insensitive search string to filter offers by merchant name

filter[purchaseChannel]list of enumsOptional
Allowed values:
filter[category]enumOptional

Category of merchant. Please use URL Encode for non single word categories. (Food & Beverage should be Food%20%26%20Beverage)

filter[isTargeted]booleanOptional
sortenumOptional
If provided, response will be sorted by the specified fields
includestringOptional

CSV list of included resources in the response (e.g “categories”). Allowed value is categories.

supportedComponentsenumOptional
UI component types to include in the response.

Response

This endpoint returns an object.
datalist of objects
linksobject
Related links to the API call
includedlist of objects
metaobject
Metadata about the full result set across all pages

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error